Name:          mambatray
Version:       4.4
Release:       1mamba
Summary:       A tray-icon based openmamba control center
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gitlab.mambasoft.it/openmamba/mambatray
Source:        http://gitlab.mambasoft.it/openmamba/mambatray.git/mambatray-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      packagekitgui
Requires:      firewallgui
Requires:      python3
Requires:      PyQt5-py3
Requires:      python-sip-py3
Requires:      ufw
Requires:      python-libproxy-py3
Requires:      discover
Requires:      PackageKit
#Requires:      plasma-pk-updates
#Requires:      discover
#Requires:      kcm_ufw

%description
A tray-icon based openmamba control center.

%prep
%setup -q

%build
make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
:

%postun
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/mambatray.desktop
%{_bindir}/mambatray
%{_datadir}/icons/hicolor/*/apps/mambatray.png
%doc AUTHORS COPYING

%changelog
* Sun Jan 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-1mamba
- update to 4.4

* Sun Sep 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3-1mamba
- update to 4.3

* Fri Jun 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Fri Jul 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-2mamba
- fix for using plasma-discover instead of apper

* Wed Jul 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-1mamba
- update to 4.1.0

* Thu Oct 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Thu Oct 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2mamba
- require kcm_ufw and kde-runtime for firewall configuration

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4
- require plasma-pk-updates; drop requirement for discover

* Fri Jul 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1mamba
- update to 3.0.3

* Tue Apr 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Sun Mar 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Sat Feb 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Sat Dec 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Thu Jan 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Tue May 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-1mamba
- update to 1.98

* Wed Apr 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97-1mamba
- update to 1.97

* Thu Jul 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-1mamba
- update to 1.96

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-1mamba
- update to 1.95
- added virtual requirement for firewallgui
- added requirement for ufw
- removed requirement for smart-gui

* Tue Oct 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.94-1mamba
- update to 1.94

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.93-2mamba
- require packagekitgui instead of kpackagekit for non kde desktop support

* Sat Jul 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.93-1mamba
- update to 1.93

* Thu Jun 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.92-1mamba
- update to 1.92

* Wed May 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.91-1mamba
- update to 1.91

* Thu Apr 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.90.1-1mamba
- update to 1.90.1

* Tue Apr 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.90-1mamba
- update to 1.90

* Fri Mar 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Fri Mar 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-4mamba
- added patch to fix proxy support with KDE4

* Fri Feb 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-3mamba
- install autostart file in /etc/xdg to start also on non-KDE environments
- configure to install in system prefix instead of kde3
- remove Desktop menu entry as 3D effects can be disabled/configured by KDE4 settings panel

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-2mamba
- rebuilt with libjpeg 8

* Sat Apr 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Thu Feb 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-4mamba
- added patch to remove dependency on apt
- removed apt-devel build requirement

* Mon Feb 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-3mamba
- added patch for kcmshell4 support for proxy
- added spanish language translation (via patch)

* Wed Jan 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-2mamba
- added patch and requirement for Smart Package Manager support in place of synaptic

* Tue Nov 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Tue Nov 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-4mamba
- rebuilt

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 0.4-3mamba
- automatic rebuild by autodist

* Mon May 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2mamba
- fix proxy support for mambaapt

* Mon May 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- update to 0.4

* Mon Mar 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-1mamba
- update to 0.3.6

* Mon Feb 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.5-1mamba
- update to 0.3.5

* Sat Feb 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- added patch for mambabase (desktop file renamed from mamba)

* Fri Dec 28 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-1mamba
- update to 0.3.4

* Thu Dec 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-2mamba
- added synaptic and guarddog package requirements

* Wed Dec 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-1mamba
- update to 0.3.3

* Wed Dec 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2

* Sat Dec 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-2mamba
- rebuild against new apt library

* Sat Dec 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Thu Nov 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- update to 0.3
- added requirements for mambapt and sudo >= 1.6.8p12-12mamba

* Sat Nov 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- update to 0.2.1

* Mon Nov 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2-1mamba
- update to 0.2

* Sat Nov 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1mamba
- package created by autospec
